/////////////////////////////////////////////////////////////////////////////////////////

function setLUQData(x)
{
	$("#qs-all").html(x.queue_size);
	$("#server_time").html(x.server_time);
	$("#queue_last_connect").html(x.last_seen_at);
	$("#queue_last_lookup").html(x.last_lookup_at);
	$("#qs-dw").html(x.dw_size);
	$("#qs-sdw").html(x.sdw_size);
	$("#qs-ipw").html(x.ipw_size);
	$("#qs-alexa").html(x.alexa_size);
	$("#qs-ip").html(x.ip_size);
	$("#qs-dns").html(x.dns_size);
	$("#qs-gi").html(x.gi_size);
	$("#qs-ping").html(x.ping_size);
	$("#qs-http").html(x.http_size);
	$("#qs-ssl").html(x.ssl_size);
	$("#timeout").html(x.timeout);
	$("#server_time_zone").html(x.server_time_zone);
	
	$("#luqw-dw").attr('disabled', (x.dw_size > 0) ? false : true);
	$("#luqw-sdw").attr('disabled', (x.sdw_size > 0) ? false : true);
	$("#luqw-ssl").attr('disabled', (x.ssl_size > 0) ? false : true);
	$("#luqw-ip").attr('disabled', (x.ip_size > 0) ? false : true);
	$("#luqw-ipw").attr('disabled', (x.ipw_size > 0) ? false : true);
	$("#luqw-gi").attr('disabled', (x.gi_size > 0) ? false : true);
	$("#luqw-ping").attr('disabled', (x.ping_size > 0) ? false : true);
	$("#luqw-http").attr('disabled', (x.http_size > 0) ? false : true);
	$("#luqw-alexa").attr('disabled', (x.alexa_size > 0) ? false : true);
	$("#luqw-dns").attr('disabled', (x.dns_size > 0) ? false : true);
}

/////////////////////////////////////////////////////////////////////////////////////////

function ajax_session_queue_info(x, jqXHR, textStatus, params)
{
	if(x != null) {
		if(x.status == 'ok') {
			setLUQData(x);
		}
	}
}

/////////////////////////////////////////////////////////////////////////////////////////

function showSessionQueueCount(swipein)
{
	var rowKey = jQuery("#domaintable").getGridParam("selarrrow"); 
	var datastr = get_ajax_datastr("get", "luq", "");
	datastr += "&id=" + rowKey;
	if(!swipein)
		datastr += "&sw=false";
	ajax_call(datastr, ajax_session_queue_info, null);
}
